
---------------------------------------------
-- Style Definition
---------------------------------------------
local ArtworkPath = "Interface\\Addons\\TidyPlates_arv\\"
local font = "Interface\\Addons\\TidyPlatesHub\\shared\\AccidentalPresidency.ttf"
local fontsize = 10;
local EmptyTexture = "Interface\\Addons\\TidyPlatesHub\\shared\\Empty"
local VerticalAdjustment = 12
local CastBarHorizontalAdjustment = 22
local CastBarVerticalAdjustment = VerticalAdjustment - 18
local NameTextVerticalAdjustment = VerticalAdjustment - 9

-- Non-Latin Font Bypass
local NonLatinLocales = { ["ruRU"] = true, ["koKR"] = true, ["zhCN"] = true, ["zhTW"] = true, } 
if NonLatinLocales[GetLocale()] == true then font = NAMEPLATE_FONT end


--   /run print(TidyPlates.ActiveThemeTable["Default"].frame.y)
---------------------------------------------
-- Default Style
---------------------------------------------
local Theme = {}
local DefaultStyle = {}

DefaultStyle.highlight = {
	texture =					ArtworkPath.."arv_Highlight",
}

DefaultStyle.healthborder = {
	texture		 =				ArtworkPath.."arv_HealthOverlay",
	width = 64,
	height = 14,
	y = VerticalAdjustment,
	show = false,
}

DefaultStyle.healthbar = {
	texture =					 ArtworkPath.."arv_Bar",
	backdrop =					 ArtworkPath.."arv_Bar_Backdrop",
	width = 48,
	height = 12,
	x = 0,
	y = VerticalAdjustment,
}

DefaultStyle.castborder = {
	--texture =					ArtworkPath.."Cast_Normal",
	texture =					ArtworkPath.."arv_CastOverlay",
	width = 64,
	height = 16,
	x = CastBarHorizontalAdjustment,
	y = CastBarVerticalAdjustment,
	show = false,
}

DefaultStyle.castnostop = {
	--texture =					ArtworkPath.."Cast_Shield",
	texture =					ArtworkPath.."arv_CastOverlay",
	width = 64,
	height = 16,
	x = CastBarHorizontalAdjustment,
	y = CastBarVerticalAdjustment,
	show = true,
}


DefaultStyle.castbar = {
	texture =					 ArtworkPath.."arv_Bar",
	backdrop =					 ArtworkPath.."arv_Bar_Backdrop",
	width = 48,
	height = 12,
	x = CastBarHorizontalAdjustment-22,
	y = CastBarVerticalAdjustment+2,
	anchor = "CENTER",
	orientation = "HORIZONTAL",
}

DefaultStyle.spellicon = {
	width = 16,
	height = 16,
	x = CastBarHorizontalAdjustment-12,
	y = CastBarVerticalAdjustment-6,
	anchor = "LEFT",
	show = false,
	coords = {left = 0.15,right = .85,top = 0.15,bottom = .85}, 		-- Does nothing, at the moment
}

DefaultStyle.spelltext = {
	typeface = font,
	size = 10,
	width = 150,
	height = 11,
	x = CastBarHorizontalAdjustment - 22,
	--NameTextVerticalAdjustment + 
	y = CastBarVerticalAdjustment - 8,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
	show = true,
}

--]]

DefaultStyle.threatborder = {
	-- [[
	texture =				ArtworkPath.."arv_AggroOverlayWhite",
	width = 64,
	height = 14,
	x = 0,
	y = VerticalAdjustment,
	anchor = "CENTER",
	show = true,
}


DefaultStyle.target = {
	texture = "Interface\\Addons\\TidyPlates_arv\\arv_Select",
	width = 64,
	height = 14,
	x = 0,
	y = VerticalAdjustment,
	anchor = "CENTER",
	show = true,
}

DefaultStyle.raidicon = {
	width = 15,
	height = 15,
	x = -49,
	y = VerticalAdjustment,
	anchor = "CENTER",
	show = true,
}

-- [[
DefaultStyle.eliteicon = {
	texture = ArtworkPath.."arv_EliteIcon",
	width = 14,
	height = 14,
	x = 31,
	y = VerticalAdjustment,
	anchor = "CENTER",
	show = true,
}
--]]

--[[
DefaultStyle.eliteicon = {
	texture		 =				ArtworkPath.."arv_HealthOverlayElite",
	width = 64,
	height = 16,
	y = VerticalAdjustment,
	show = false,
	anchor = "CENTER",
}
--]]

DefaultStyle.skullicon = {
	texture = ArtworkPath.."arv_skull_icon",
	width = 14,
	height = 14,
	x = -31,
	y = VerticalAdjustment,
	anchor = "CENTER",
	show = false,
}


DefaultStyle.name = {
	typeface = font,
	size = fontsize,
	width = 200,
	height = 11,
	x = 0,
	y = NameTextVerticalAdjustment+18,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
	flags = "NONE",
}

DefaultStyle.level = {
	typeface = font,
	size = 8,
	width = 22,
	height = 11,
	x = 12,
	y = VerticalAdjustment,
	align = "LEFT",
	anchor = "LEFT",
	vertical = "CENTER",
	flags = "NONE",
	shadow = false,
	show = false,
}

DefaultStyle.customart = {
	width = 14,
	height = 14,
	x = -44,
	y = VerticalAdjustment + 5,
	anchor = "CENTER",
	--show = true,
}

DefaultStyle.customtext = {
	typeface = font,
	size = 8,
	width = 150,
	height = 11,
	x = 0,
	y = VerticalAdjustment - 8,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = false,
	flags = "NONE",
	show = true,
}

DefaultStyle.frame = {
	y = 0,
}

local CopyTable = TidyPlatesUtility.copyTable

-- No Bar
local StyleTextOnly = CopyTable(DefaultStyle)
StyleTextOnly.threatborder.texture = EmptyTexture

-- Just testing
--[[
StyleTextOnly.threatborder.texture = ArtworkPath.."WarningGlowCircle"
StyleTextOnly.threatborder.width = 40
StyleTextOnly.threatborder.height = 40
StyleTextOnly.threatborder.y = VerticalAdjustment
--]]

--[[
StyleTextOnly.threatborder.texture = "Interface\\Addons\\TidyPlatesHub\\shared\\Aggro"
StyleTextOnly.threatborder.width = 128
StyleTextOnly.threatborder.height = 64
StyleTextOnly.threatborder.y = VerticalAdjustment -8 -16
--]]

StyleTextOnly.healthborder.y = VerticalAdjustment - 24
StyleTextOnly.healthborder.height = 64
StyleTextOnly.healthborder.texture = EmptyTexture
StyleTextOnly.healthbar.texture = EmptyTexture
StyleTextOnly.healthbar.backdrop = EmptyTexture
StyleTextOnly.eliteicon.texture = EmptyTexture
StyleTextOnly.customtext.size = 10
StyleTextOnly.customtext.flags = "NONE"
StyleTextOnly.customtext.y = VerticalAdjustment-8
StyleTextOnly.name.size = 12
StyleTextOnly.name.y = VerticalAdjustment + 1
StyleTextOnly.level.show = false
StyleTextOnly.skullicon.show = false
StyleTextOnly.eliteicon.show = false
StyleTextOnly.highlight.texture = "Interface\\Addons\\TidyPlatesHub\\shared\\Highlight"
StyleTextOnly.target.texture = "Interface\\Addons\\TidyPlatesHub\\shared\\Target"
StyleTextOnly.target.height = 64
StyleTextOnly.target.y = VerticalAdjustment -8 -16

-- Styles
Theme["Default"] = DefaultStyle
Theme["NameOnly"] = StyleTextOnly

-- Widget
local WidgetConfig = {}
WidgetConfig.ClassIcon = { anchor = "TOP" , x = 38 ,y = 0 }
WidgetConfig.TotemIcon = { anchor = "TOP" , x = 36 ,y = -1 }
WidgetConfig.ThreatLineWidget = { anchor =  "CENTER", x = -21,y = -24 }
WidgetConfig.ThreatWheelWidget = { anchor =  "CENTER", x = 42,y = 0 }
WidgetConfig.ComboWidget = { anchor = "CENTER" , x = -1 ,y = VerticalAdjustment + 20 }
WidgetConfig.RangeWidget = { anchor = "CENTER" , x = 0 ,y = VerticalAdjustment + 0 }
WidgetConfig.DebuffWidget = { anchor = "CENTER" , x = 19 ,y = VerticalAdjustment + 25 }
if (UnitClassBase("player") == "Druid") or (UnitClassBase("player") == "Rogue") then
	WidgetConfig.DebuffWidgetPlus = { anchor = "CENTER" , x = 19 ,y = VerticalAdjustment + 35 }
end

local DamageThemeName = "arv/|cFFFF4400Damage"
local TankThemeName = "arv/|cFF3782D1Tank"

SLASH_arvTANK1 = '/arvtank'
SlashCmdList['arvTANK'] = ShowTidyPlatesHubTankPanel

SLASH_arvDPS1 = '/arvdps'
SlashCmdList['arvDPS'] = ShowTidyPlatesHubDamagePanel


---------------------------------------------
-- Tidy Plates Hub Integration
---------------------------------------------

TidyPlatesThemeList[DamageThemeName] = Theme
local LocalVars = TidyPlatesHubDamageVariables

local ApplyThemeCustomization = TidyPlatesHubFunctions.ApplyThemeCustomization

local function ApplyDamageCustomization()
	ApplyThemeCustomization(Theme)
end

local function OnInitialize(plate)
	TidyPlatesHubFunctions.OnInitializeWidgets(plate, WidgetConfig)
end

local function OnActivateTheme(themeTable, other)
		--print("arvDamage", themeTable, other)
		if Theme == themeTable then
			LocalVars = TidyPlatesHubFunctions:UseDamageVariables()
			ApplyDamageCustomization()
		end
end

Theme.SetNameColor = TidyPlatesHubFunctions.SetNameColor
Theme.SetScale = TidyPlatesHubFunctions.SetScale
Theme.SetAlpha = TidyPlatesHubFunctions.SetAlpha
Theme.SetHealthbarColor = TidyPlatesHubFunctions.SetHealthbarColor
Theme.SetThreatColor = TidyPlatesHubFunctions.SetThreatColor
Theme.SetCastbarColor = TidyPlatesHubFunctions.SetCastbarColor
--Theme.SetCustomText = TidyPlatesHubFunctions.SetCustomText
Theme.OnUpdate = TidyPlatesHubFunctions.OnUpdate
Theme.OnContextUpdate = TidyPlatesHubFunctions.OnContextUpdate
Theme.ShowConfigPanel = ShowTidyPlatesHubDamagePanel
Theme.SetStyle = TidyPlatesHubFunctions.SetStyleBinary
Theme.SetCustomText = TidyPlatesHubFunctions.SetCustomTextBinary
Theme.OnInitialize = OnInitialize		-- Need to provide widget positions
Theme.OnActivateTheme = OnActivateTheme -- called by Tidy Plates Core, Theme Loader
Theme.OnApplyThemeCustomization = ApplyDamageCustomization -- Called By Hub Panel

do
	local TankTheme = CopyTable(Theme)
	TidyPlatesThemeList[TankThemeName] = TankTheme
	
	local function ApplyTankCustomization()
		ApplyThemeCustomization(TankTheme)
	end

	local function OnActivateTheme(themeTable)
		--print("arvTank", themeTable, other)
		if TankTheme == themeTable then
			LocalVars = TidyPlatesHubFunctions:UseTankVariables()
			ApplyTankCustomization()
		end
	end
	
	TankTheme.OnActivateTheme = OnActivateTheme -- called by Tidy Plates Core, Theme Loader
	TankTheme.OnApplyThemeCustomization = ApplyTankCustomization -- Called By Hub Panel
	TankTheme.ShowConfigPanel = ShowTidyPlatesHubTankPanel
end

--[[ Create Test Variant
do
	local TestTheme = CopyTable(Theme)
	TidyPlatesThemeList["Test Theme"] = TestTheme
	
	
	--------------------------------------------------
	--------------------------------------------------
	TestTheme["Default"].healthborder.texture = ""
	TestTheme["Default"].healthborder.width = 0
	TestTheme["Default"].healthborder.height = 0
	TestTheme["Default"].healthborder.x = 0
	TestTheme["Default"].healthborder.y = 0
	
	--TestTheme["Default"].healthbar.texture =
	--TestTheme["Default"].healthbar.backdrop =
	
	--TestTheme["NameOnly"].

	--------------------------------------------------
	--------------------------------------------------
	
	
	local function ApplyTestCustomization()
		ApplyThemeCustomization(TestTheme)
	end

	local function OnActivateTestTheme(themeTable)
		--print("NeonTank", themeTable, other)
		if TestTheme == themeTable then
			LocalVars = TidyPlatesHubFunctions:UseDamageVariables()
			ApplyTestCustomization()
		end
	end
	

	
	TestTheme.OnActivateTheme = OnActivateTestTheme -- called by Tidy Plates Core, Theme Loader
	TestTheme.OnApplyThemeCustomization = ApplyTestCustomization -- Called By Hub Panel
	TestTheme.ShowConfigPanel = ShowTidyPlatesHubDamagePanel
end

--]]

--[[
-- Create Gladiator Variant
do
	local GladiatorThemeName = "arv/|cFFAA6600Gladiator"
	local GladiatorTheme = CopyTable(Theme)
	TidyPlatesThemeList[GladiatorThemeName] = GladiatorTheme
	
	local function ApplyCustomization()
		ApplyThemeCustomization(GladiatorTheme)
	end

	local function OnActivateTheme(themeTable)
		if GladiatorTheme == themeTable then
			LocalVars = TidyPlatesHubFunctions.UseVariables("Gladiator")
			ApplyCustomization()
		end
	end
	
	GladiatorTheme.OnActivateTheme = OnActivateTheme -- called by Tidy Plates Core, Theme Loader
	GladiatorTheme.OnApplyThemeCustomization = ApplyCustomization -- Called By Hub Panel
	GladiatorTheme.ShowConfigPanel = ShowTidyPlatesHubGladiatorPanel
end
--]]

--AddTidyPlatesHubStyle("arv", DefaultStyle, StyleTextOnly, WidgetConfig)


