
  ---------------------------------------------
  --  oUF_Diablo
  ---------------------------------------------

  --  A Diablo themed unitframe layout for oUF 1.6.x
  --  zork - 2012
  --  arv -mod:azrr-

  ---------------------------------------------

  --get the addon namespace
  local addon, ns = ...

  --object container
  local cfg = {}
  ns.cfg = cfg

  ---------------------------------------------
  -- // CONFIG // --
  ---------------------------------------------

  ----------------------------------------
  -- colorswitcher define your color for healthbars here
  ----------------------------------------

  --color is in RGB (red (r), green (g), blue (b), alpha (a)), values are from 0 (dark color) to 1 (bright color). 1,1,1 = white / 0,0,0 = black / 1,0,0 = red etc
  cfg.colorswitcher = {
    bright              = { r = 1, g = 0, b = 0, a = 0.9, },          -- the bright color
    dark                = { r = 0.1, g = 0.1, b = 0.1, a = 0.7, },   -- the dark color
    classcolored        = true,  -- true   -> override the bright color with the unit specific color (class, faction, happiness, threat), if false uses the predefined color
    useBrightForeground = true,  -- true   -> use bright color in foreground and dark color in background
                                 -- false  -> use dark color in foreground and bright color in background
    threatColored       = true,  -- true/false -> enable threat coloring of the health plate for raidframes
  }

  --frames have a new highlight that fades on hp loss, if that is still not enough you can adjust a multiplier here
  cfg.highlightMultiplier = 0 --range 0-1

  ----------------------------------------
  --units
  ----------------------------------------

  cfg.units = {
    -- PLAYER
    player = {
      show = true,
      size = 148,
      scale = 1,
      pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -289, y = 4 },
      health = {
        frequentUpdates = false,
        smooth = true,
      },
      power = {
        frequentUpdates = false,
        smooth = true,
      },
      icons = {
        pvp = {
          show = false,
          pos = { a1 = "CENTER", a2 = "CENTER", x = -61, y = 59 }, --position in relation to self object
        },
        combat = {
          show = true,
          pos = { a1 = "CENTER", a2 = "CENTER", x = -61, y = 59 }, --position in relation to self object
        },
        resting = {
          show = true,
          pos = { a1 = "CENTER", a2 = "CENTER", x = -61, y = 59 }, --position in relation to self object
        },
      },
      castbar = {
        show = true,
        hideDefault = true, --if you hide the oUF_Diablo castbar, should the Blizzard castbar be shown?
        latency = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_castbar",
        scale = 1, --divide 1 by current unit scale if you want to prevent scaling of the castbar based on unit scale
        color = {
          bar = { r = 255/255, g = 192/255, b = 0/255, a = 1, },
          bg = { r = 0.1, g = 0.1, b = 0.1, a = 0.7, },
        },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 223 },
      },
      demonicfury = { --class bar WARLOCK / DEMONOLOGY
        show = true,
        scale = 0.7,
        color = {
          bar = { r = 103/255, g = 172/255, b = 73/255, },
          bg  = { r = 43/255, g = 42/255, b = 40/255, },
        },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 408 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      soulshards = { --class bar WARLOCK / AFFLICTION
        show = true,
        scale = 0.40,
        color = {r = 198/255, g = 0/255, b = 255/255, },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      burningembers = { --class bar WARLOCK / DESTRUCTION
        show = true,
        scale = 0.40,
        color = {r = 255/255, g = 114/255, b = 0/255, },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      holypower = { --class bar PALADIN
        show = true,
        scale = 0.40,
        color = {r = 255/255, g = 210/255, b = 0/255, },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      shadoworbs = { --class bar SHADOW PRIEST
        show = true,
        scale = 0.40,
        color = {r = 126/255, g = 0/255, b = 255/255, },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      harmony = { --class bar MONK
        show = true,
        scale = 0.40,
        color = {r = 81/255, g = 228/255, b = 188/255, },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      eclipse = { --class bar DRUID
        show = true,
        scale = 0.7,
        color = {
          solar = { r = 255/255, g = 192/255, b = 81/255, },
          lunar = { r = 12/255, g = 213/255, b = 220/255, },
          bg  = { r = 43/255, g = 42/255, b = 40/255, },
        },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 408 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      runes = { --class bar DK
        show = true,
        scale = 0.40,
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
        combat          = { --fade the bar in/out in combat/out of combat
          enable          = false,
          fadeIn          = {time = 0.2, alpha = 1},
          fadeOut         = {time = 0.4, alpha = 0},
        },
      },
      altpower = {
        show = true,
        scale = 0.5,
        color = {r = 1, g = 0, b = 1, },
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        pos = { a1 = "TOP", a2 = "TOP", af = "UIParent", x = 0, y = -480 },
      },
      vengeance = {
        show = false,
        scale = 0.7,
        color = {r = 1, g = 0, b = 0, },
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar5",
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = 0, y = -250 },
      },
      expbar = { --experience
        show = true,
          pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 3, y = 0 },
          texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_expbar",
          scale = 1,
          color = {r = 104/255, g = 22/255, b = 0/255, },
          rested = {
            color = {r = 0/255, g = 85/255, b = 104/255, },
          },
      },
      repbar = { --reputation
        show = true,
          pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 3, y = 0 },
          texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_expbar",
          scale = 1,
      },
      art = {
        actionbarbackground = {
          show = true,
          pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -229, y = 0 },
          scale = 1,
        },
        angel = {
          show = true,
          pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 229, y = 0 },
          scale = 1,
        },
        demon = {
          show = true,
          pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -229, y = 0 },
          scale = 1,
        },
        bottomline = {
          show = true,
          pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 229, y = 0 },
          scale = 1,
        },
      },
      portrait = {
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = -100, y = 0 },
        size = 150,
        show = false,
        use3D = false,
      },
    },

    -- TARGET
    target = {
      show = true,
      scale = 1,
      pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 331 },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_target",
        tag = "[diablo:hpval]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targetpp",
        tag = "", --more tags see oUF/elements/tags.lua | example: "[curpp] / [perpp]%" or "[diablo:ppval]"
      },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerBuffs = false,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
        desaturateDebuffs = false,
        buffs = {
          pos = { a1 = "BOTTOMLEFT", a2 = "TOPRIGHT", x = -96, y = -15 },
          initialAnchor = "BOTTOMLEFT",
          growthx = "RIGHT",
          growthy = "UP",
        },
        debuffs = {
          pos = { a1 = "TOPLEFT", a2 = "BOTTOMRIGHT", x = -96, y = 10 },
          initialAnchor = "TOPLEFT",
          growthx = "RIGHT",
          growthy = "DOWN",
        },
      },
      castbar = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_castbar",
        scale = 1, --divide 1 by current unit scale if you want to prevent scaling of the castbar based on unit scale
        color = {
          bar = { r = 255/255, g = 192/255, b = 0/255, a = 1, },
          bg = { r = 0.1, g = 0.1, b = 0.1, a = 0.7, },
          shieldbar = { r = 128/255, g = 124/255, b = 117/255, a = 1, }, --the castbar color while target casting a shielded spell
          shieldbg = { r = 0.1, g = 0.1, b = 0.1, a = 0.7, },  --the castbar background color while target casting a shielded spell
        },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 451 },
      },
      combobar = {
        show = true,
        scale = 0.40,
        color = {r = 255/255, g = 186/255, b = 0/255, },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 710 },
      },
      portrait = {
        pos = { a1 = "CENTER", a2 = "CENTER", af = "UIParent", x = 100, y = 0 },
        size = 150,
        show = false,
        use3D = false,
      },
      healprediction = {
        show = false,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          myself  = {r = 154/255, g = 226/255, b = 27/255, a = 1 },
          other   = {r = 154/255, g = 226/255, b = 27/255, a = 0.7 },
        },
        maxoverflow = 1.05,
      },
      totalabsorb = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          bar  = {r = 0, g = 1, b = 1, a = 1 },
        },
        maxoverflow = 1.05,
      },
    },

    --TARGETTARGET
    targettarget = {
      show = true,
      scale = 1,
      pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = -245, y = 331 },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget8",
        tag = "[diablo:misshp]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget1",
      },
      healprediction = {
        show = false,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          myself  = {r = 154/255, g = 226/255, b = 27/255, a = 1 },
          other   = {r = 154/255, g = 226/255, b = 27/255, a = 0.7 },
        },
        maxoverflow = 1.00,
      },
    },

    --PET
    pet = {
      show = true,
      scale = 0.9,
      pos = { a1 = "LEFT", a2 = "LEFT", af = "UIParent", x = 0, y = -265 },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget7",
        tag = "[diablo:misshp]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget2",
      },
      altpower = {
        show = true,
        scale = 0.5,
        color = {r = 1, g = 0, b = 1, },
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 485 },
      },
      portrait = {
        show = false,
        use3D = false,
      },
      castbar = {
        show = true,
        hideDefault = true, --if you hide the oUF_Diablo castbar, should the Blizzard castbar be shown?
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_castbar",
        scale = 1, --divide 1 by current unit scale if you want to prevent scaling of the castbar based on unit scale
        color = {
          bar = { r = 255/255, g = 192/255, b = 0/255, a = 1, },
          bg = { r = 0.1, g = 0.1, b = 0.1, a = 0.7, },
        },
        pos = { a1 = "LEFT", a2 = "LEFT", af = "UIParent", x = 297, y = -266.5 },
      },
      totalabsorb = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          bar  = {r = 0, g = 1, b = 1, a = 1 },
        },
        maxoverflow = 1.05,
      },
    },

    --FOCUS
    focus = {
      show = true,
      scale = 0.9,
      pos = { a1 = "LEFT", a2 = "LEFT", af = "UIParent", x = 0, y = -127 },
      aurawatch = {
        show            = true,
        size            = 20,
      },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
        showBuffs = true,
        onlyShowPlayerBuffs = false,
        showBuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget6",
        tag = "[diablo:misshp]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget3",
      },
      portrait = {
        show = false,
        use3D = false,
      },
      castbar = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_castbar",
        scale = 1, --divide 1 by current unit scale if you want to prevent scaling of the castbar based on unit scale
        color = {
          bar = { r = 255/255, g = 192/255, b = 0/255, a = 1, },
          bg = { r = 0.1, g = 0.1, b = 0.1, a = 0.7, },
        },
        pos = { a1 = "BOTTOM", a2 = "BOTTOM", af = "UIParent", x = 0, y = 568 },
      },
      healprediction = {
        show = false,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          myself  = {r = 154/255, g = 226/255, b = 27/255, a = 1 },
          other   = {r = 154/255, g = 226/255, b = 27/255, a = 0.7 },
        },
        maxoverflow = 1.05,
      },
      totalabsorb = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          bar  = {r = 0, g = 1, b = 1, a = 1 },
        },
        maxoverflow = 1.05,
      },
    },

    --PETTARGET
    pettarget = {
      show = true,
      scale = 0.9,
      pos = { a1 = "LEFT", a2 = "LEFT", af = "UIParent", x = 128, y = -265 },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget5",
        tag = "[diablo:misshp]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget4",
      },
      portrait = {
        show = false,
        use3D = false,
      },
    },

    --FOCUSTARGET
    focustarget = {
      show = true,
      scale = 0.9,
      pos = { a1 = "LEFT", a2 = "LEFT", af = "UIParent", x = 128, y = -127 },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget3",
        tag = "[diablo:misshp]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget6",
      },
      portrait = {
        show = false,
        use3D = false,
      },
    },

    --PARTY
    party = {
      show = true,
      alpha = {
        notinrange = 0.5,
      },
      scale = 0.9,
      pos = { a1 = "TOPLEFT", a2 = "TOPLEFT", af = "UIParent", x = 0, y = -5 },
      aurawatch = {
        show            = false,
        size            = 20.1,
      },
      auras = {
        show = true,
        size = 20,
        onlyShowPlayerDebuffs = false,
        showDebuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget2",
        tag = "[diablo:misshp]",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget7",
      },
      portrait = {
        show = false,
        use3D = false,
      },
      attributes = {
        visibility          = "custom [group:party,nogroup:raid] show;hide",  --show this header in party
        showPlayer          = true,     --make this true to show player in party
        showSolo            = false,    --make this true to show while solo (only works if solo is in visiblity aswell
        showParty           = true,     --make this true to show headerin party
        showRaid            = false,    --show in raid
        point               = "LEFT",
      },
      healprediction = {
        show = false,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          myself  = {r = 154/255, g = 226/255, b = 27/255, a = 1 },
          other   = {r = 154/255, g = 226/255, b = 27/255, a = 0.7 },
        },
        maxoverflow = 1.05,
      },
      totalabsorb = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          bar  = {r = 0, g = 1, b = 1, a = 1 },
        },
        maxoverflow = 1.05,
      },
    },

    --RAID
    raid = {
      show = true,
      special = {
        chains = false, --should the raidframe include the chain textures?
      },
      alpha = {
        notinrange = 0.4,
      },
      scale = 1,
      pos = { a1 = "TOPLEFT", a2 = "TOPLEFT", af = "UIParent", x = 0, y = -8 },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget1",
        tag = "[diablo:misshp]",   --tag for the second line
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget8",
      },
      aurawatch = {
        show            = false,
      },
      auras = {
        --put every single spellid here that you want to be tracked, be it buff or debuff doesn't matter
        --maximum number of icons displayed at a time = 1
        --this is for important boss mechanics only, this is not for tracking healing HOTs etc
        whitelist = {
          --test
          --6673,--test1, battle shout
          --72968,--test2
          --93805,--test3
          32407,
          --CATACLYSM RAIDS
          86622,
          --maloriak
          92980, --ice bomb
          77786, --red phase consuming flames
          --chimaeron
          89084 , --skull icon chimaeron <10k life
          --Throne of Thunder
          137650, --council of elders
        },
        show            = false,
        disableCooldown = true,
        showBuffType    = false,
        showDebuffType  = false,
        size            = 15,
        num             = 4,
        spacing         = 2,
        pos = { a1 = "CENTER", x = 2, y = -22},
      },
      attributes = {
        visibility1         = "custom [@raid6,exists] hide;[group:raid] show; hide", --use "party,raid" to show this in party aswell
        visibility2         = "custom [@raid31,exists] hide; [@raid6,exists] show; hide", --special display for raid > 20 players (lower scale)
        visibility3         = "custom [@raid31,exists] show; hide", --special display for raid > 30 players (lower scale)
        showPlayer          = false,  --make this true to show player in party
        showSolo            = false,  --make this true to show while solo (only works if solo is in visiblity aswell
        showParty           = false,  --make this true to show raid in party
        showRaid            = true,   --show in raid
        point               = "LEFT",
        yOffset             = 0,
        xoffset             = 0,
        maxColumns          = 8,
        unitsPerColumn      = 5,
        columnSpacing       = 0,
        columnAnchorPoint   = "TOP",
      },
      healprediction = {
        show = false,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          myself  = {r = 154/255, g = 226/255, b = 27/255, a = 1 },
          other   = {r = 154/255, g = 226/255, b = 27/255, a = 0.7 },
        },
        maxoverflow = 1.05,
      },
      totalabsorb = {
        show = true,
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\statusbar",
        color = {
          bar  = {r = 0, g = 1, b = 1, a = 1 },
        },
        maxoverflow = 1.05,
      },
    },

    --BOSSFRAMES
    boss = {
      show = true,
      scale = 0.9,
      pos = { a1 = "TOP", a2 = "BOTTOM", af = "Minimap", x = 0, y = -80 },
      auras = {
        show = false,
        size = 20,
        onlyShowPlayerDebuffs = true,
        showDebuffType = false,
      },
      health = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget4",
        tag = "[diablo:bosshp]%",
      },
      power = {
        texture = "Interface\\AddOns\\oUF_Diablo\\media\\arv_statusbar_targettarget5",
        tag = "[diablo:bosspp]",
      },
    },

  }


  ----------------------------------------
  -- frame movement
  ----------------------------------------

  --setting this to false will use the default frame positions, true allows moving
  cfg.framesUserplaced = true

  --setting this to true will lock the frames in place, false unlocks them
  cfg.framesLocked = true

  ----------------------------------------
  -- player specific data
  ----------------------------------------

  --player stuff
  cfg.playername  = UnitName("player")
  cfg.playerclass = select(2,UnitClass("player"))
  cfg.playercolor = RAID_CLASS_COLORS[cfg.playerclass]

  ----------------------------------------
  -- other
  ----------------------------------------

  cfg.powercolors = PowerBarColor
  cfg.powercolors["MANA"] = { r = 55/255, g = 155/255, b = 255/255 }
  cfg.powercolors["ENERGY"] = { r = 255/255, g = 225/255, b = 0/255 }
  --fix the oUF mana color
  oUF.colors.power["MANA"] = { 0/255, 0/255, 155/255 }
  oUF.colors.power["ENERGY"] = { 255/255, 225/255, 0/255 }

  --font
  cfg.font = STANDARD_TEXT_FONT

  --backdrop
  cfg.backdrop = {
    bgFile = "Interface\\Tooltips\\UI-Tooltip-Background",
    edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
    tile = true,
    tileSize = 16,
    edgeSize = 16,
    insets = { left = 4, right = 4, top = 4, bottom = 4 },
  }